# gsd_check

gsd_check, 主要是为降低深圳机场误识别而实现一个软件, 应用的平台为**Jetson Xavire NX**, 核心思路在于为对野生动物管理系统的识别结果进行二次筛查, 软件本身并不复杂, 自行研究代码即可.

## 1.软件仓库

部署方面, 因为项目上线时间比较紧张, 所以并未真正构造相关部署文件, 后续如果还有需可自行构建.

| 仓库 | 地址 |
| --- | --- |
| 软件 | http://git.siwill.com/lishengyin/gsd_check.git | 
| gsd_var | http://git.siwill.com/lishengyin/gsd_var.git |

## 2.配置文件

配置文件部分, 也是通过http接口获取SPUG上的配置文件. 包含以下这些配置:
```ini
gsd_check_Target = [ 2 ] # 目标
gsd_check_Server_Port = 8860 # 服务启动端口
gsd_check_Proportion_th = 0.5 # 异物过滤器阈值
gsd_check_InferSave = 0 # 保存识别结果
gsd_check_Engine = ../data/modules/yolov5l.engine # 推理模型地址
gsd_check_Debug = 1   # 启动日志调制
gsd_check_AlienLabels = [ 0 ] # 异物目标
```

## 3.参考链接

- [tensorrtx](https://github.com/wang-xinyu/tensorrtx)
- [drogon](https://gitee.com/an-tao/drogon?utm_source=alading&utm_campaign=repo)