# 旧版转新版更新

因为有些机器因网络等原因一直处理掉线情况, 后期软件版本跟不上, 所以后期如果需要更新, 则需要先将旧版程序删除, 在更新新版, 以下机场需要执行这个步骤, 执行完这个办法后, 后续转为**正常更新**.

目前以下机场需要:

**兰州南端中段, 乌鲁木齐、成都、首都**

## 更新流程

### 1.前期准备

- 重写构建好软件部分, 存放到部署文件中, git推送到gitlab仓库.
- gitlab服务器启动VPN

### 2.更新流程

```shell
# 进入gitlab服务器, window端 win + r  输入cmd, 进入终端
ssh sunwin@192.168.31.174  # 远程gitlab工控机
cd /opt/GSD/network/
./start_openvpn.sh
```

- 登录spug

> 地址为: 47.112.106.146:9090

批量执行 -> 模板控制, 检查是否存在**旧版转新版更新**这个模板,

![image](./image/1668156705704.jpg)

如果没有点击新建, 模板内容输入以下数据:

```shell
echo "123456" | sudo -S chmod 777 /opt/GSD
cd /opt/GSD
echo "123456" | sudo -S service cron stop
docker-compose stop
cd /opt
mv GSD GSD_Old
git clone http://192.168.31.174/deploy/gsdn.git GSD
cd /opt/GSD
docker-compose up -d --build
echo "123456" | sudo -S service cron start
```

![image](./image/1668156654659.jpg)

- 发布设置

应用发布 -> 发布配置 -> 选择需要发布的机场

![image](./image/1668153710674.jpg)

点击查看发布 -> 发布编辑-> 选择gsd生成环境,目标主机,串行 -> 设置目标主机动作(输入**旧版转新版更新**) -> 提交

![image](./image/1668153923326.jpg)

![image](./image/1668153992262.jpg)

- 应用发布

应用发布 -> 新建发布

![image](./image/1668154159040.jpg)

选择gsd生成环境, 选择对应的机场

![image](./image/1668154231917.jpg)

设置标题, 选择发布的点位, 如需定时可以设置时间, 点击完成

![image](./image/1668154296207.jpg)

检查无问题后, 点击发布, 更新过程也可以查看得到, 发布结束会提示已经发布成功.

![image](./image/1668154446064.jpg)